import { CacheAdapter } from '@mikro-orm/core';
import { RedisOptions } from 'ioredis';
export interface RedisCacheAdapterOptions extends RedisOptions {
    expiration?: number;
    debug?: boolean;
}
export declare class RedisCacheAdapter implements CacheAdapter {
    private readonly client;
    private readonly debug;
    private readonly expiration?;
    constructor(options: RedisCacheAdapterOptions);
    get(key: string): Promise<any>;
    set(name: string, data: any, origin: string, expiration?: number | undefined): Promise<void>;
    clear(): Promise<void>;
}
